function DeplacerItemDeVers(de, vers)
{
    var zlAv = de+"[]";
    var zlAp = vers+"[]";

    if (document.newZone.elements[zlAv].options.selectedIndex >= 0) {
        while (document.newZone.elements[zlAv].options.selectedIndex >= 0) {
            ind = document.newZone.elements[zlAv].options.selectedIndex;
            texte = document.newZone.elements[zlAv].options[ind].text;
            valeur = document.newZone.elements[zlAv].options[ind].value;
            document.newZone.elements[zlAv].options[ind] = null;
            var user = new Option(texte, valeur);
            lg = document.newZone.elements[zlAp].options.length;
            document.newZone.elements[zlAp].options[lg] = user;
        }
    }

return(false);
}




function SelectionnerItems(form)
{
    zl = "OUT[]";
    lg = document.newZone.elements[zl].options.length;

    for (cpt = 0; cpt < lg; cpt++) {
        document.newZone.elements[zl].options[cpt].selected = true;
    }

    return(true);
}




function checkForm(formName)
{
    switch (formName) {
    case 'edit_metatags':
        break;

    case 'formTrademark':
        if (document.getElementById('TrademarkName').value == '') {
            meev('TrademarkName', 'Veuillez saisir la marque !');
            return(false);
        }

        break;

    case 'formCarrier':
        if (document.getElementById('CarrierName').value == '') {
            meev('CarrierName', 'Le champ "Nom du transporteur" n\'est pas rempli !');
            return(false);
        }

        break;

    case 'formAdmin':
        if (document.getElementById('FirstName').value == '') {
            meev('FirstName', 'Le champ "Nom" n\'est pas rempli !');
            return(false);
        }

        if (document.getElementById('LastName').value == '') {
            meev('LastName', 'Le champ "Prenon" n\'est pas rempli !');
            return(false);
        }

        if (document.getElementById('UserName').value == '') {
            meev('UserName', 'Le champ "Nom d\'utilisateur" n\'est pas rempli !');
            return(false);
        }

        break;

    case 'formViewNbProduct':
        if (document.getElementById('NbProduct').value == '') {
            meev('NbProduct', 'Nombre incorrect ou non saisi !');
            return(false);
        }

        break;

    case 'modifShopDescription':
        /*if (document.getElementById('ShopName').value == '') {
            meev('ShopName', 'Le nom de votre boutique n\'est pas renseigne !');
            return(false);
        }*/

        break;

    case 'addProduct':
        if (document.getElementById('ProductName').value == '') {
            meev('ProductName', 'Le nom de l\'article n\'est pas renseigne !');
            return(false);
        }

        if (document.getElementById('Reference').value == '') {
            meev('Reference', 'Reference d\'article manquante !');
            return(false);
        }

        if (document.getElementById('ProductPrice').value == '') {
            meev('ProductPrice', 'Vous n\'avez pas defini de prix !');
            return(false);
        }

        break;

    case 'formSubCategory':
        if (document.getElementById('SubCategoryName').value == '') {
            meev('SubCategoryName', 'Le nom de la sous-categorie est manquant !');
            return(false);
        }

        break;

    case 'formCategory':
        if (document.getElementById('CategoryName').value == '') {
            meev('CategoryName', 'Le nom de la categorie est manquant !');
            return(false);
        }

        break;

    case 'formTax':
        if (document.getElementById('TaxName').value == '') {
            meev('TaxName', 'Veuillez definir un nom ou une description pour cette taxe !');
            return(false);
        }

        if (document.getElementById('TaxValue').value == '') {
            meev('TaxValue', 'Pourcentage de la taxe non definie !');
            return(false);
        }

        break;

    case 'editCompanyInfo':
        if (document.getElementById('CompanyName').value == '') {
            meev('CompanyName', 'Le nom de votre societe est manquant !');
            return(false);
        }

        if (document.getElementById('Address').value == '') {
            meev('Address', 'Votre adresse est manquante !');
            return(false);
        }

        if (document.getElementById('Telephone').value == '') {
            meev('Telephone', 'Votre numero de telephone est manquant !');
            return(false);
        }

        if (document.getElementById('ID_State').options[document.getElementById('ID_State').selectedIndex].value == 'X') {
            meev('ID_State', 'Veuillez choisir votre departement !');
            return(false);
        }

        if (document.getElementById('ID_City').options[document.getElementById('ID_City').selectedIndex].value == 'X') {
            meev('ID_City', 'Veuillez choisir votre ville !');
            return(false);
        }

        if (document.getElementById('Email').value == '') {
            meev('Email', 'Votre adresse email est manquante !');
            return(false);
        }

        if (document.getElementById('ApeCode').value == '') {
            meev('ApeCode', 'Votre code APE est manquant !');
            return(false);
        }

        if (document.getElementById('SirenCode').value == '') {
            meev('SirenCode', 'Votre code SIREN est manquant !');
            return(false);
        }

        break;

    case 'configuration':
        if (document.getElementById('database_host').value == '') {
            meev('database_host', 'Veuillez saisir l\'adresse du serveur');
            return(false);
        }

        if (document.getElementById('database_data').value == '') {
            meev('database_data', 'Veuillez saisir le nom de la database');
            return(false);
        }

        if (document.getElementById('database_user').value == '') {
            meev('database_user', 'Veuillez saisir l\'identifiant de connexion');
            return(false);
        }

        if (document.getElementById('param_domain_name').value == '') {
            meev('param_domain_name', 'Veuillez saisir le domaine du site');
            return(false);
        }

        if (document.getElementById('mail_mail_0').value == '') {
            meev('mail_mail_0', 'Veuillez renseigner le champ "Mail 1"');
            return(false);
        }

        if (document.getElementById('mail_from').value == '') {
            meev('mail_from', 'Veuillez renseigner le champ "Mail from"');
            return(false);
        }

        break;
    }

    document.getElementById(formName).submit();

}




function meev(field, msg)
{
    alert(msg);
    document.getElementById(field).style.backgroundColor = '#FFDDCC';
    document.getElementById(field).style.borderColor = '#FF0000';
    document.getElementById(field).focus();
}
